package com.wtkj.service;

import com.wtkj.entity.Project;
import org.springblade.core.secure.BladeUser;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-13 16:32
 * @describe
 */
public interface IAsyncService {

	/**
	 * 异步创建项目 阶段 项目权限等处理
	 */
	void createProject(Project project, BladeUser user);

	/**
	 * 异步删除项目  项目阶段 文件夹/文件等
	 */
	void removeProject(List<Long> projectIds);
}
